DOM::CSSRuleList Class Reference

`#include <css_rule.h>`

## Public Member Functions

| CSSRuleList (const CSSRuleList &other)
| CSSRuleList (CSSRuleListImpl *i)
| CSSRuleList (StyleListImpl *i)
CSSRuleList & | operator= (const CSSRuleList &other)
unsigned long | length () const
CSSRule | item (unsigned long index)
CSSRuleListImpl * | handle () const
bool | isNull () const

## Protected Attributes

CSSRuleListImpl * | impl

## Detailed Description

The `CSSRuleList` interface provides the abstraction of an ordered collection of CSS rules.

Definition at line 484 of file css_rule.h.

## Member Function Documentation

CSSRule CSSRuleList::item | ( | unsigned long | index | ) |

Used to retrieve a CSS rule by ordinal index.

The order in this collection represents the order of the rules in the CSS style sheet.

Parameters

  index | Index into the collection

Returns
  The style rule at the `index` position in the `CSSRuleList` , or `null` if that is not a valid index.

Definition at line 528 of file css_rule.cpp.

unsigned long CSSRuleList::length | ( |  | ) | const

The number of `CSSRule` s in the list.

The range of valid child rule indices is `0` to `length-1` inclusive.

Definition at line 521 of file css_rule.cpp.

The documentation for this class was generated from the following files:

- css_rule.h
- css_rule.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys